#include "application.h"

#include <QFileOpenEvent>

Application::Application(int &argc, char **argv) : QApplication(argc, argv)
{
}

bool Application::event(QEvent *event)
{
    if (event->type() == QEvent::FileOpen) {
        QFileOpenEvent *openEvent = static_cast<QFileOpenEvent *>(event);
        emit openFileEvent(openEvent->file());
    }

    return QApplication::event(event);
}


